<form [formGroup]="editForm">
    <div class="mat-title">Заповніть, будь ласка, необхідні поля для продовження</div>
    <div class="form-item" *ngFor="let field of fieldData">
        <div class="wripper-field" *ngIf="field.type == 'text'">
            <mat-form-field>
                <mat-label>{{field.label}}</mat-label>
                <input matInput [formControlName]="field.key" value="">
                <mat-hint class="mat-error-text" *ngIf="editForm.controls[field.key].status == 'INVALID'">Поле обов'язкове до заповнення!</mat-hint>
            </mat-form-field>
        </div>
        <div class="wripper-field" *ngIf="field.type == 'calendar'">
            <mat-form-field appearance="fill">
                <mat-label>{{field.label}}</mat-label>
                <input matInput [matDatepicker]="picker" [formControlName]="field.key">
                <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                <mat-datepicker #picker [startAt]="startDate"></mat-datepicker>
                <mat-hint class="mat-error-text" *ngIf="editForm.controls[field.key].status == 'INVALID'">Поле обов'язкове до заповнення!</mat-hint>
            </mat-form-field>
        </div>
    </div>

    <button [disabled]="editForm.status != 'VALID'" mat-raised-button color="warn" (click)="onSubmit()">Створити та
        переглянути
    </button>

</form>
